Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.ast.tree
Class UnaryArithmeticNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.ast.tree.Node
                  org.hibernate.hql.ast.tree.SqlNode
                      org.hibernate.hql.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.ast.tree.AbstractSelectExpression
                              org.hibernate.hql.ast.tree.UnaryArithmeticNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, InitializeableNode, OperatorNode, SelectExpression, UnaryOperatorNode

    public class UnaryArithmeticNode

extends AbstractSelectExpression
implements UnaryOperatorNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`UnaryArithmeticNode()`

Method Summary
`Type` | `getDataType()` Retrieves the data type for the overall operator expression.
`Node` | `getOperand()` Retrievs the node representing the operator's single operand.
`void` | `initialize()` Called by the tree walker during hql-sql semantic analysis after the operator sub-tree is completely built.
`void` | `setScalarColumnText(int i)` Appends AST nodes that represent the columns after the current AST node.

Methods inherited from class org.hibernate.hql.ast.tree.AbstractSelectExpression
`getAlias, getFromElement, isConstructor, isReturnableEntity, isScalar, setAlias`

Methods inherited from class org.hibernate.hql.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.ast.tree.SqlNode
`getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.ast.tree.SelectExpression
`setText`

Constructor Detail

### UnaryArithmeticNode

    public UnaryArithmeticNode()

Method Detail

### getDataType

    public Type getDataType()

  Description copied from interface: `OperatorNode`
  Retrieves the data type for the overall operator expression.

  Specified by:
    `getDataType` in interface `OperatorNode`
  Specified by:
    `getDataType` in interface `SelectExpression`
  Overrides:
    `getDataType` in class `SqlNode`
  Returns:
    The expression's data type.

### setScalarColumnText

    public void setScalarColumnText(int i)
                             throws antlr.SemanticException

  Description copied from interface: `SelectExpression`
  Appends AST nodes that represent the columns after the current AST node. (e.g. 'as col0_O_')

  Specified by:
    `setScalarColumnText` in interface `SelectExpression`
  Parameters:
    `i` - The index of the select expression in the projection list.
  Throws:
    `antlr.SemanticException`

### initialize

    public void initialize()

  Description copied from interface: `OperatorNode`
  Called by the tree walker during hql-sql semantic analysis after the operator sub-tree is completely built.

  Specified by:
    `initialize` in interface `OperatorNode`

### getOperand

    public Node getOperand()

  Description copied from interface: `UnaryOperatorNode`
  Retrievs the node representing the operator's single operand.

  Specified by:
    `getOperand` in interface `UnaryOperatorNode`
  Returns:
    The operator's single operand.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD